Bug 192081 - dmsetup reports 0 opened devices on LVM2 volumes.
dmsetup reports 0 opened devices on LVM2 volumes.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-05-17 10:05 EDT by Jose Plans
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: U4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-03 20:24:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Description of the problem. (15.76 KB, text/plain)
2006-05-17 10:05 EDT, Jose Plans
no flags Details

  None (edit)
Description Jose Plans 2006-05-17 10:05:41 EDT
Hi,

 This customer is experiencing the same issues as reported back on January on
the dm-devel list: 
 http://www.redhat.com/archives/dm-devel/2006-January/msg00000.html
 The problem description:

After configuring LVM2 on top of a dm-raid device, dmsetup info will report its
usage counter is 0, not allowing the user to deactivate the volume.

Running: # dmsetup info -c stlinux12vg1-stlinux12vg1lv1
Returns: Open 0.
And running: # lvdisplay stlinux12vg1
Returns: open 1.

Then "vgchange -aln <vgname>" command will report :
Can't deactivate volume group "vgname" with 1 open logical volume(s) 
 
 There's a file describing all the customer has done attached to this Bugzilla
which, I believe, explains the issue command by command. Please let me know if
there is something missing,
Comment 1 Jose Plans 2006-05-17 10:05:42 EDT
Created attachment 129319 [details]
Description of the problem.
Comment 2 Alasdair Kergon 2006-06-06 10:06:11 EDT
As discussed, please re-test with the U3 packages.
If it's still wrong, add -vvvv to the lvdisplay command and post the full output.
Comment 4 RHEL Product and Program Management 2006-08-18 11:52:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Note You need to log in before you can comment on or make changes to this bug.